import Dimension4API as dimension4
import numpy as np
import matplotlib.pyplot as plt

#Read Data from Dimension4 Cloud Service
pointId = "61e56f35f7e7322432fe769a"
json, signalData, signalTimeStamp = dimension4.GraphQLRead(pointId)

#print(json)
#print(signalData)
#print(signalTimeStamp)

# Plotting Data
N = len(signalData)
k = np.arange(1, N+1)
plt.plot(k, signalData, '-o')
plt.title('Temperature TMP36 Sensor')
plt.xlabel('k')
plt.ylabel('Temp [degC]')
plt.grid()
plt.show()